{% extends "base.html" %}

{% block content %}
<div class="container-fluid">
	<button onclick='document.getElementById("grade").classList.toggle("hide")'>Hide HW</button>
<table id="grade"class="table table-striped">
	<thead>
	    <!--
		<tr>
			{% for x in header %}
			<th>{{ x }}</th>
			{% endfor %}
		</tr>
		-->
	</thead>
	<tbody>
		{% for info,hw,tst,lb,frmllb,ttl,fnlpt,final in user_list %}
		<tr>
			<td>{{ info[0] }}</td>
			<td>{{ info[1] }}</td>
			<td>{{ info[2] }}</td>
			{% for tstprcnt,tstpnts,tstmxpnts in tst %}
				<td>{{ '%0.2f' % tstprcnt }}({{ '%0.2f' % tstpnts }})</td>
			{% endfor %}

			{% for finalprcnt,finalpnts,finalmxpnts in final %}
				<td>{{ '%0.2f' % finalprcnt }}({{ '%0.2f' % finalpnts }})</td>
			{% endfor %}
			<!--
			{% for hwprcnt,hwpnts,hwmxpnts,keep in hw %}
				<td id = "hw" >{{ '%0.2f' % hwprcnt }}({{ '%0.2f' % hwpnts if keep else 'drop' }})</td>
			{% endfor %}
			{% for lbprcnt,lbpnts,lbmxpnts,keep in lb %}
				<td>{{ '%0.2f' % lbprcnt }}({{ '%0.2f' % lbpnts if keep else 'drop' }})</td>
			{% endfor %}
			{% for frmllbprcnt,frmllbpnts,frmllbmxpnts in frmllb %}
				<td>{{ '%0.2f' % frmllbprcnt }}({{ '%0.2f' % frmllbpnts }})</td>
			{% endfor %}
			-->
			<td>{{ '%0.2f' % fnlpt[0] }}({{ '%0.2f' % fnlpt[1] }})</td>
			<td>{{ '%0.2f' % ttl[0] }}</td>
			<td>{{ '%0.2f' % ttl[1] }}</td>
			<td>{{ '%0.2f' % ttl[2] }}</td>
			<td>{{ '%0.2f' % ttl[3] }}</td>
			<td>{{ '%0.2f' % ttl[4] }}</td>
			<td>{{ '%0.2f' % ttl[5] }}</td>
			<td>{{ ttl[6] }}</td>
		</tr>
		{% endfor %}
	</tbody>
</table>
</div>
{% endblock %}